#!/bin/bash
#-----BEGIN PGP SIGNATURE-----
#Version: GnuPG v1.2.6 (GNU/Linux)
#Comment: 2008-11-24 ePages Software GmbH (release key) <rnd@epages.de>
#
#iD8DBQBSX7Pul5jMabHSgyARAjTiAKDNFI2Rk7amYCRKY9EkVclUPeHfYwCgjX1z
#cIpLHdlOq/3SdZtkkTszg3E=
#=a4zH
#-----END PGP SIGNATURE-----

. /var/epages/functions.sh
. $(etc_default)

# edit /srv/epages/eproot/j/conf/epagesj.conf

EPAGESJ=${EPAGESJ:-"$EPAGES"/j}
EPAGESJ_CONFIG=${EPAGESJ_CONFIG:-"$EPAGESJ"/conf}

ls "$EPAGESJ_CONFIG"/epagesj.conf >/dev/null || exit 1
/var/epages/ini-config.sh -f "$EPAGESJ_CONFIG"/epagesj.conf \
-s Task -k corePoolSize -v 1 -i || exit 1 

/etc/init.d/epagesj restart || exit 1 

exit 0
