-- #103
CREATE TABLE pricelistcustomer (
     pricelistid          integer  not null
,    customerid           integer  not null

,   constraint pk_pricelistcustomer             primary key (pricelistid,customerid)
,   constraint fk_pricelistcustomer_customerid  foreign key (customerid)
        references customer                         (customerid)
,   constraint fk_pricelistcustomer_pricelistid foreign key (pricelistid)
        references pricelist                        (pricelistid)
)
GO
CREATE INDEX i_pricelistcustomer_customer ON pricelistcustomer (customerid)
GO

