-- #201
CREATE TABLE bundleproductmap (
     bundleproductmapid   integer  not null AUTO_INCREMENT
,    bundleproductid      integer  not null
,    bundledproductid     integer  not null
,    bundledquantity      decimal(19,4)  not null
,    position             integer  not null

,   constraint pk_bundleproductmap              primary key (bundleproductmapid)
,   constraint fk_bundleproductmap_bundleproductid foreign key (bundleproductid)
        references product                          (productid)
,   constraint fk_bundleproductmap_bundledproductid foreign key (bundledproductid)
        references product                          (productid)
)
GO
CREATE INDEX i_bundleproduct_bundleid ON bundleproductmap (bundleproductid)
GO

CREATE INDEX i_bundleproduct_bundledid ON bundleproductmap (bundledproductid)
GO

