/*global define, CKEDITOR, setTimeout*/
/*jslint regexp: true, unparam: true*/
define(['testsuite/qunit', 'jquery', 'ep/ui/editor', '$ready!'], function (QUnit, $, ep) {
    'use strict';

    QUnit.module("ckeditor/plugins/epebay");

    var editor1 = $('#uieditor_ckeditortestinstance_test1');

    // instantiate CKE
    editor1.uiEditor({
        'name' : 'ckeditortestinstance_test1',
        'toolbar': 'Full'
    });

    setTimeout(function () {

        QUnit.asyncTest("basic ebay plugin tests", function () {
            var editorId = 'uieditor_ckeditortestinstance_test1',
                editorInstance = CKEDITOR.instances[editorId],
                data = editorInstance.getData(),
                fakeElement = $(editorInstance.document.$.body).find('img.ep-EbayFakeImg');

            QUnit.ok(fakeElement.length === 1, 'fakeElement to diaplay ebay preview image in WYSIWYG was inserted');
            QUnit.ok(fakeElement[0].src.search(new RegExp(ep.config.iconsRoot)) !== -1, 'icons root was found in image source of fake element');

            QUnit.start();
        });

    }, 2000);
});