-- #104
CREATE TABLE productprepayment (
     productid            integer  not null
,    currencyid           char(3)  not null
,    value                decimal(19,4)  not null

,   constraint pk_productprepayment             primary key (productid,currencyid)
,   constraint fk_productprepayment_product     foreign key (productid)
        references product                          (productid)
,   constraint fk_productprepayment_currency    foreign key (currencyid)
        references currency                         (currencyid)
)
GO
CREATE INDEX i_productprepayment_currency ON productprepayment (currencyid)
GO

